Bug 1026616 - gnome-online-accounts does not work with IPv6
gnome-online-accounts does not work with IPv6
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts (Show other bugs)
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-11-04 23:57 EST by Dan Mossor [danofsatx]
Modified: 2015-02-02 13:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-02 13:39:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Mossor [danofsatx] 2013-11-04 23:57:10 EST
Description of problem:
When attempting to add accounts through the settings panel > Online Accounts, GOA will get stuck when trying to access the service if IPv6 is enabled and fully functional. Only way to complete GOA registration is to disable IPv6 on the network.

Version-Release number of selected component (if applicable):
gnome-online-accounts 3.10.1

How reproducible:

Steps to Reproduce:
1. Enable IPv6 on the system, and ensure that IPv6 connectivity to the internet is fully functional.

2. Attempt to connect to Google, Facebook, or Microsoft Live through the Online Accounts settings.

3. Watch it sit there and spin.

Actual results:
A window opens when an account service is selected, and remains blank with "Connecting to accounts.google.com" or "Connecting to m.facebook.com"

Expected results:
Window should open with the account authentication information for the selected service.

Additional info:
Disabling IPv6 on the interface didn't work - the system was still using IPv6. I had to disable IPv6 in my router altogether.
Comment 1 Debarshi Ray 2014-04-09 11:12:00 EDT
What happens if you use Epiphany to open www.google.com in this scenario? Does it work?
Comment 2 Dan Mossor [danofsatx] 2014-04-21 10:25:41 EDT
I am fairly certain it does - I switched to KDE shortly after I filed this bug, so I can't offer any current information on it. I will load up a VM this evening and test again to provide the requested information.
Comment 3 Dan Mossor [danofsatx] 2015-02-02 13:39:18 EST
I apologize for dropping the ball on this bug. I no longer have the software referenced herein, so I cannot provide the needed information. I am closing this bug for lack of required info.

Note You need to log in before you can comment on or make changes to this bug.